%define name deskbar-applet
%define version 2.18.0
%define release %mkrel 3
%define ffver %(rpm -q mozilla-firefox --queryformat %%{VERSION})
%define seaver 1.1.1

%define _requires_exceptions pkgconfig\(.*\)

Summary: All-in-one search bar for the GNOME panel
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/deskbar-applet/%{name}-%{version}.tar.bz2
Patch1: deskbar-applet-2.17.2-firefox-version.patch
License: GPL
Group: Graphical desktop/GNOME
Url: http://live.gnome.org/DeskbarApplet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk+2-devel
BuildRequires: pygtk2.0-devel
BuildRequires: gnome-python-extras
BuildRequires: gnome-python-applet
BuildRequires: evolution-data-server-devel
BuildRequires: gnome-desktop-devel
BuildRequires: automake1.9
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: gnome-doc-utils libxslt-proc
BuildRequires: mozilla-firefox
BuildRequires: python-beagle
BuildRequires: scrollkeeper
Requires: gnome-python-extras
Requires: gnome-python-gnomevfs
Requires: gnome-python-gconf
Requires: gnome-python-applet
Requires: python-beagle beagle-gui
Requires: python-elementtree
Requires: dbus-python
Requires: %mklibname mozilla-firefox %ffver 
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
The Deskbar is an all-in-one search bar. It is a Linux/Gnome panel
applet that is similar to Google's (Windows only) Deskbar
It supports the search in Beagle, Mozilla Firefox and Epiphany.

%prep
%setup -q
%patch1 -p1 -b .firefox
perl -pi -e "s/MOZILLA_FIREFOX_VERSION/%ffver/" deskbar/handlers/mozilla.py
perl -pi -e "s/SEAMONKEY_VERSION/%seaver/" deskbar/handlers/mozilla.py

%build
%configure2_5x --disable-scrollkeeper
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
%find_lang %name
%find_lang deskbar --with-gnome
cat deskbar.lang >> %name.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %name
%update_icon_cache hicolor
%update_scrollkeeper

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_icon_cache hicolor
%clean_scrollkeeper

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS TODO ChangeLog AUTHORS
%_sysconfdir/gconf/schemas/deskbar-applet.schemas
%_libdir/bonobo/servers/*
%_libdir/%name/
%py_puresitedir/*deskbar*
%_libdir/pkgconfig/%name.pc
%_datadir/%name
%_datadir/icons/hicolor/*/apps/*
%dir %_datadir/omf/*/
%_datadir/omf/*/*-C.omf


%changelog
* Fri Mar 23 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-3mdv2007.1
+ Revision: 148531
- Force rebuild with correct firefox version this time

* Fri Mar 23 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-2mdv2007.1
+ Revision: 148361
- rebuild for new firefox

* Wed Mar 14 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 143475
- new version
- update seamonkey version

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.93-1mdv2007.1
+ Revision: 142049
- new version

* Thu Mar 08 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.92-2mdv2007.1
+ Revision: 137721
- Disable pkgconfig auto dependencies

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 127236
- new version

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-2mdv2007.1
+ Revision: 126287
- rebuild for new firefox

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 118848
- new version

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 112239
- new version

* Thu Jan 11 2007 Götz Waschk <waschk@mandriva.org> 2.17.5.1-1mdv2007.1
+ Revision: 107454
- fix buildrequires
- new version
- handle scrollkeeper

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 2.17.2-4mdv2007.1
+ Revision: 106100
- rebuild

* Fri Dec 15 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-3mdv2007.1
+ Revision: 97465
- depend on beagle-gui

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-2mdv2007.1
+ Revision: 92021
- remove old stuff
- fix patch for new firefox

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 88262
- fix file list
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-2mdv2007.1
+ Revision: 86435
- bot rebuild
- new version

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2007.1
+ Revision: 79283
- bot rebuild
- rebuild for new firefox

* Sun Oct 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.1
+ Revision: 71693
- Import deskbar-applet



* Sun Oct 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.1
- unpack patch
- New version 2.16.1

* Mon Sep 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-3mdv2007.0
- Drop conflicts, replaced by requires on firefox lib package

* Sat Sep 16 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-2mdv2007.0
- rebuild for new firefox

* Mon Sep 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Tue Aug 29 2006 Götz Waschk <waschk@mandriva.org> 2.15.92.1-1mdv2007.0
- New release 2.15.92.1

* Thu Aug 24 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- remove menu entry
- New release 2.15.92

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Thu Aug 03 2006 Götz Waschk <waschk@mandriva.org> 2.15.90.1-1mdv2007.0
- rebuild for new firefox

* Sat Jul 29 2006 Götz Waschk <waschk@mandriva.org> 2.15.90.1-4mdv2007.0
- rebuild for new firefox

* Thu Jul 27 2006 Götz Waschk <waschk@mandriva.org> 2.15.90.1-3mdv2007.0
- don't use Xvfb anymore

* Thu Jul 27 2006 Götz Waschk <waschk@mandriva.org> 2.15.90.1-2mdv2007.0
- fix deps

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.90.1-1mdv2007.0
- fix buildrequires
- drop patch 2
- New release 2.15.90.1

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-2mdv2007.0
- patch for new e-d-s

* Mon Jul 24 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Tue Jul 11 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new macros
- fix menu
- New release 2.15.4

* Mon Jun 19 2006 Austin Acton <austin@mandriva.org> 2.15.3-2mdv2007.0
- requires dbus-python

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- update file list
- New release 2.15.3

* Tue Jun 06 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2.1-1mdv2007.0
- Release 2.15.2.1

* Sun Jun 04 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.1
- Rebuild

* Sun May 28 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- fix buil
- New release 2.14.2

* Wed May 03 2006 Götz Waschk <waschk@mandriva.org> 2.14.1.1-3mdk
- rebuild for new firefox

* Fri Apr 21 2006 Götz Waschk <waschk@mandriva.org> 2.14.1.1-2mdk
- rebuild for new firefox

* Mon Apr 17 2006 Götz Waschk <waschk@mandriva.org> 2.14.1.1-1mdk
- New release 2.14.1.1

* Sat Apr 15 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-2mdk
- seamonkey instead of mozilla
- rebuild for new e-d-s

* Mon Apr 10 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdk
- New release 2.14.1

* Tue Mar 14 2006 Götz Waschk <waschk@mandriva.org> 2.14.0.1-1mdk
- New release 2.14.0.1

* Sun Mar 12 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0

* Tue Feb 28 2006 Götz Waschk <waschk@mandriva.org> 2.13.92-1mdk
- New release 2.13.92

* Tue Feb 14 2006 Götz Waschk <waschk@mandriva.org> 2.13.91-1mdk
- New release 2.13.91

* Sun Feb  5 2006 Götz Waschk <waschk@mandriva.org> 2.13.90.1-1mdk
- rediff the patch
- New release 2.13.90.1

* Fri Feb 03 2006 Götz Waschk <waschk@mandriva.org> 2.13.90-2mdk
- rebuild for new mozilla-firefox

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 2.13.90-1mdk
- fix build
- fix buildrequires
- New release 2.13.90

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 0.8.8-3mdk
- update file list for new python dirs

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 0.8.8-2mdk
- fix buildrequires

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 0.8.8-1mdk
- New release 0.8.8

* Tue Jan 10 2006 Götz Waschk <waschk@mandriva.org> 0.8.7-2mdk
- rebuild for new mozilla-firefox

* Tue Jan  3 2006 Götz Waschk <waschk@mandriva.org> 0.8.7-1mdk
- update the patch
- New release 0.8.7

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.8.6.1-1mdk
- New release 0.8.6.1

* Fri Dec  9 2005 Götz Waschk <waschk@mandriva.org> 0.8.6-1mdk
- update file list
- fix deps
- fix source URL
- rediff the patch
- New release 0.8.6
- use mkrel

* Tue Nov 15 2005 Götz Waschk <waschk@mandriva.org> 0.8.5-1mdk
- New release 0.8.5

* Tue Nov 01 2005 Götz Waschk <waschk@mandriva.org> 0.8.4-1mdk
- New release 0.8.4

* Sun Oct 30 2005 Götz Waschk <waschk@mandriva.org> 0.8.3-1mdk
- New release 0.8.3

* Tue Oct 25 2005 Götz Waschk <waschk@mandriva.org> 0.8.2-2mdk
- rebuild for new mozilla

* Tue Oct 25 2005 Götz Waschk <waschk@mandriva.org> 0.8.2-1mdk
- New release 0.8.2

* Mon Oct 24 2005 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdk
- update file list
- fix buildrequires
- drop patch 0
- New release 0.8.0

* Thu Oct 20 2005 Götz Waschk <waschk@mandriva.org> 0.6-5mdk
- fix firefox path (bug #19363)

* Fri Oct 14 2005 Götz Waschk <waschk@mandriva.org> 0.6-4mdk
- fix deps
- make it actually work with libexecdir == libdir

* Fri Oct 14 2005 Götz Waschk <waschk@mandriva.org> 0.6-3mdk
- fix summary, thanks to nitpicking Dick Gevers :-)

* Fri Oct 14 2005 Götz Waschk <waschk@mandriva.org> 0.6-2mdk
- fix buildrequires

* Fri Oct 14 2005 Götz Waschk <waschk@mandriva.org> 0.6-1mdk
- initial package
